using SwanCSharp;
using SwanCSharp.Users;
using SwanCSharp.DataAccess;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UserManage
{
    public partial class Form1 : Form
    {
        public UserManagementAccess gobjUserManage = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            gobjUserManage = new UserManagementAccess("Database.mdb", "", "");
            gobjUserManage.ShowLoginWindow(SwanCSharp.Users.InterfaceLanguage.English);
            if (!gobjUserManage.LoggedIn)
            {
                Miscellaneous.ShowErrorMessage("Test", "Login incorrect.");
                this.Dispose();
            }
            MenuManage();
        }

        private void MenuManage()
        {
            // Standard User
            if (gobjUserManage.Profile == UserProfiles.StandardUser)
            {
                mnuSave.Enabled = false;
                mnuSetup.Enabled = false;
                mnuDelete.Enabled = false;
            }
            // Administrator
            else if (gobjUserManage.Profile == UserProfiles.Administrator)
            {
                mnuDelete.Enabled = false;
                mnuAddUser.Enabled = false;
            }
        }

        private void mnuAddUser_Click(object sender, EventArgs e)
        {
            try
            {
                gobjUserManage.ShowUserAddWindow(gobjUserManage.Profile, SwanCSharp.Users.InterfaceLanguage.English);
            }
            catch (Exception ex)
            {
                Miscellaneous.ShowErrorMessage("Test", ex.Message);
            }
        }

        private void mnuRemoveUser_Click(object sender, EventArgs e)
        {
            try
            {
                gobjUserManage.ShowUserRemoveWindow(gobjUserManage.Profile, SwanCSharp.Users.InterfaceLanguage.English);
            }
            catch (Exception ex)
            {
                Miscellaneous.ShowErrorMessage("Test", ex.Message);
            }
        }

        private void mnuChangePassword_Click(object sender, EventArgs e)
        {
            try
            {
                gobjUserManage.ShowUserPasswordChangeWindow(gobjUserManage.UserName, SwanCSharp.Users.InterfaceLanguage.English);
            }
            catch (Exception ex)
            {
                Miscellaneous.ShowErrorMessage("Test", ex.Message);
            }
        }
    }
}